$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 IntegerRangePartition export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
required:
- column
- start
- end
- interval
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  column:
    description: The partitioning column.
    type: string
  end:
    description: The ending value for range partitioning (exclusive).
    type: integer
  interval:
    description: The interval of each range within the partition.
    type: integer
  start:
    description: The starting value for range partitioning (inclusive).
    type: integer
